***********************************

*            Figure 1             *

***********************************


clear


use data/PISA12_OK.dta,clear

global nq=10

keep if girl!=. & matintfc_std!=. & pv1math!=. & pv1read!=.

***********************************
* intentions as a function of MR
***********************************

forval i=1/5 {
xtile xtile_pv`i'MR_std= pv`i'MR_std [weight=w_fstuwt], nquantiles($nq) 
 }

xi i.xtile_pv1MR_std i.xtile_pv2MR_std i.xtile_pv3MR_std i.xtile_pv4MR_std i.xtile_pv5MR_std, noomit

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "math minus reading ability") ytitle(Intentions to study math (standardized)) xlabel(1(1)10)
graph save Figures/intentions_MR.gph ,replace
graph export Figures/intentions_MR.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore


***********************************
* intentions as a function of math
***********************************

forval i=1/5 {
xtile xtile_pv`i'math= pv`i'math [weight=w_fstuwt], nquantiles($nq) 
 }

xi i.xtile_pv1math i.xtile_pv2math i.xtile_pv3math i.xtile_pv4math i.xtile_pv5math, noomit

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "math ability") xlabel(1(1)10)  /*  ytitle(Intentions to study math (standardized)) */
graph save Figures/intentions_math.gph ,replace
graph export Figures/intentions_math.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore

***********************************
* intentions as a function of math
***********************************

*xtile xtile_s_MR= s_MR [weight=w_fstuwt], nquantiles($nq) 
forval i=1/5 {
xtile xtile_pv`i'read= pv`i'read [weight=w_fstuwt], nquantiles($nq) 
}

xi i.xtile_pv1read i.xtile_pv2read i.xtile_pv3read i.xtile_pv4read i.xtile_pv5read, noomit

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg matintfc_std _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "reading ability")  xlabel(1(1)10)   /* ytitle(Intentions to study math (standardized)) */
graph save Figures/intentions_read.gph ,replace
graph export Figures/intentions_read.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore

*****

graph combine Figures/intentions_math.gph Figures/intentions_read.gph  Figures/intentions_mr.gph ,  col(3) graphregion(fcolor(white)) ycommon commonscheme l1title(Intentions to study math (standardized))

** after editing:
graph save 	Figures/Fig1.gph,replace
graph export  Figures/Fig1.pdf, replace
graph export  Figures/Fig1.png, replace

