***********************************

*            Figure 2             *

***********************************



clear

*global work "F:\Dropbox\MR\data_MR"
*cd "$work"

use data/PISA12_OK.dta,clear

global nq=10

keep if girl!=. & scmat_std_c!=. & pv1math!=. & pv1read!=.

*************************************
* Self-concept as a function of MR
*************************************

*xtile xtile_s_MR= s_MR [weight=w_fstuwt], nquantiles($nq) 
forval i=1/5 {
xtile xtile_pv`i'MR_std= pv`i'MR_std [weight=w_fstuwt], nquantiles($nq) 
 }

xi i.xtile_pv1MR_std i.xtile_pv2MR_std i.xtile_pv3MR_std i.xtile_pv4MR_std i.xtile_pv5MR_std, noomit

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "math minus reading ability")  xlabel(1(1)10) ylabel(-0.4(0.2)0.6) /* ytitle(Math self-concept (standardized)) */
graph save Figures/F2_self_concept_MR.gph ,replace
graph export Figures/F2_self_concept_MR.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore

*************************************
* Self-concept as a function of math
*************************************

*xtile xtile_s_MR= s_MR [weight=w_fstuwt], nquantiles($nq) 
forval i=1/5 {
xtile xtile_pv`i'math= pv`i'math [weight=w_fstuwt], nquantiles($nq) 
 }

xi i.xtile_pv1math i.xtile_pv2math i.xtile_pv3math i.xtile_pv4math i.xtile_pv5math, noomit

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "math ability") xlabel(1(1)10) ylabel(-0.4(0.2)0.6)   /*  ytitle(Math self-concept (standardized)) */
graph save Figures/F2_self_concept_math.gph ,replace
graph export Figures/F2_self_concept_math.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore


*************************************
* Self-concept as a function of read
*************************************

*xtile xtile_s_MR= s_MR [weight=w_fstuwt], nquantiles($nq) 
forval i=1/5 {
xtile xtile_pv`i'read= pv`i'read [weight=w_fstuwt], nquantiles($nq) 
}

xi i.xtile_pv1read i.xtile_pv2read i.xtile_pv3read i.xtile_pv4read i.xtile_pv5read, noomit

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg scmat_std_c _Ixtile_pv@_* if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "reading ability")  xlabel(1(1)10) ylabel(-0.4(0.2)0.6)   /* ytitle(Intentions to study math (standardized)) */
graph save Figures/F2_self_concept_read.gph ,replace
graph export Figures/F2_self_concept_read.pdf ,replace


* CI not represented
*	(line  lc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle) )  (line  uc  decile if girl==1, color(blue) lpattern(dash) msymbol(triangle)  ) ///
*					(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore

*****

graph use Figures/F2_self_concept_mr.gph
graph combine Figures/F2_self_concept_mr.gph Figures/F2_self_concept_math.gph Figures/F2_self_concept_read.gph,  col(3) graphregion(fcolor(white)) 

** after editing:
graph save Graph "Figures/FigF2.gph",replace
graph export  "Figures/FigF2.pdf", replace

graph combine Figures/F2_self_concept_mr.gph Figures/F2_self_concept_math.gph Figures/F2_self_concept_read.gph,  col(3) graphregion(fcolor(white)) ycommon  imargin(0 0 0 0) graphregion(margin())



graph combine Figures/F2_self_concept_math.gph Figures/F2_self_concept_read.gph  Figures/F2_self_concept_mr.gph ,  col(3) graphregion(fcolor(white)) ycommon commonscheme l1title(Math self-concept (standardized))

** after editing:
graph save Graph "Figures/FigF2bis.gph",replace
graph export  "Figures/FigF2bis.pdf", replace

graph export  "Figures/FigF2bis.png", replace






