clear

use data\PISA12_OK.dta,clear

global nq=10

keep if girl!=. & intmat_std_c!=. & pv1math!=. & pv1read!=.


********* MR as a function of Interest

*xtile xtile_s_MR= s_MR [weight=w_fstuwt], nquantiles($nq) 
xtile xtile_intmat_std=intmat_std_c [weight=w_fstuwt], nquantiles($nq) 


xi i.xtile_intmat_std , noomit

repest PISA, estimate(stata: reg pv@MR_std_c _Ixtile_int* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg pv@MR_std_c _Ixtile_int*  if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "interest for math")   xlabel(1(1)10)  /* ytitle(Interest for math (standardized))  */
graph save Figures\S4_MR_interest.gph ,replace
graph export Figures\S4_MR_interest.pdf ,replace
				
restore


************************************
********* MR as a function of Self-concept

use PISA12_OK.dta,clear

keep if girl!=. & scmat_std_c!=. & pv1math!=. & pv1read!=.

xtile xtile_scmat_std_c=  scmat_std_c  [weight=w_fstuwt], nquantiles($nq) 

xi i.xtile_scmat_std_c , noomit


repest PISA, estimate(stata: reg pv@MR_std_c _Ixtile_scm* if girl==1 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_f=(-1,0,0,0,0)
local x=1
while `x' <= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_f=(res_f\(1,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}

repest PISA, estimate(stata: reg pv@MR_std_c _Ixtile_scm*  if girl==0 , noconstant ) results(add(r2 N)) display

matrix b=e(b)
cap matrix list b
matrix V=e(V)
cap matrix list V
matrix res_m=(-1,0,0,0,0)
local x=1
while `x'<= $nq {
local b1=b[1,`x']
local v1=1.96*sqrt(V[`x',`x'])
matrix res_m=(res_m\(0,`x',`b1',`b1'+`v1',`b1'-`v1'))
local x=`x'+1
}


preserve
clear
matrix res= [res_f \ res_m ]
matrix colnames res  = girl decile b lc uc
svmat2 res , names(col)
drop if girl==-1

twoway (connected b  decile if girl==1, color(blue) msymbol(triangle) )  ///
				(connected  b  decile if girl==0, color(red) msymbol(circle) ) ///
						,legend(order(1 "Girls" 2 "Boys"))    graphregion(fcolor(white))  xtitle("Deciles of" "math self-concept") xlabel(1(1)10)  /*  ytitle(Interest for math (standardized)) */
graph save Figures\S4_MR_self_concept.gph ,replace
graph export Figures\S4_MR_self_concept.pdf ,replace
				(line  lc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) ) (line  uc  decile if girl==0, color(red) lpattern(dash) msymbol(triangle) )   ///						
						
restore

graph use Figures\S4_MR_self_concept.gph
graph use Figures\S4_MR_interest.gph


*****
graph combine Figures\S4_MR_self_concept.gph Figures\S4_MR_interest.gph   ,  col(2) graphregion(fcolor(white)) ycommon commonscheme l1title(Math minus reading ability (standardized))

** after editing:
graph save Graph Figures\FigS4.gph,replace
graph export  Figures\FigS4.pdf, replace
graph export  Figures\FigS4.png, replace




