
clear

use data\PISA12_OK.dta,clear

sum matintfc_std_c scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c
keep if girl!=. & matintfc_std!=. & pv1math!=. & pv1read!=.  

matrix define results= [ 0,0,0,0,0,0,0]
matrix colnames results =  gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR


foreach var in scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c {


regress `var' girl [aw=w_fstuwt]
matrix est=  e(b)
local gender_gap_X=est[1,1]

repest PISA, estimate(stata: reg `var' girl pv@math_std_c )
matrix est=  e(b)
local gender_gap_X_condmath=est[1,1]

repest PISA, estimate(stata: reg `var' girl pv@MR_std_c )
matrix est=  e(b)
local gender_gap_X_condMR=est[1,1]

repest PISA, estimate(stata: reg  pv@MR_std_c girl `var'   )
matrix est=  e(b)
local gender_gap_MR_condX=est[1,1]

regress matintfc_std_c `var'  [aw=w_fstuwt]
matrix est=  e(b)
local dIntentions_dX=est[1,1]

regress matintfc_std_c  girl `var'  [aw=w_fstuwt]
matrix est=  e(b)
local gender_gap_Intentions_condX=est[1,1]

repest PISA, estimate(stata: reg matintfc_std_c  girl `var' pv@MR_std_c )
matrix est=  e(b)
local gender_gap_Intentions_condXMR=est[1,1]

matrix define res= [ `gender_gap_X', `gender_gap_X_condmath', `gender_gap_X_condMR', `gender_gap_MR_condX' ,`dIntentions_dX' , `gender_gap_Intentions_condX' ,  `gender_gap_Intentions_condXMR' ]
matrix results =[results \ res]
}


matrix rownames results = drop scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c


clear  
svmat2 results, names(col) rnames(Var) 

drop if Var=="drop"

foreach var in gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR   {
tostring(`var') , generate(`var'2) format(%9.3f) force
drop `var'
rename `var'2  `var'
}

replace Var= "Math self concept" if Var=="scmat_std_c"
replace Var= "Declared interest for math"  if Var=="intmat_std_c"
replace Var=  "Instrumental motivation for math"  if Var=="instmot_std_c"
replace Var= "Math anxiety"  if Var=="anxmat_std_c"
replace Var= "Math involvement"  if Var=="matbeh_std_c"
replace Var= "Math environment"  if Var=="subnorm_std_c"

order Var

export excel Tables\Table2.xls,  firstrow(variables) replace 


* repest PISA, estimate(stata: reg matintfc_std_c  girl scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c)

 
