
clear

use data\PISA12_OK.dta,clear


sum matintfc_std_c scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c
keep if girl!=. & matintfc_std!=. & pv1math!=. & pv1read!=.  &  scmat!=. &  intmat!=. & instmot!=. & anxmat!=. & matbeh!=. & subnorm!=. 



foreach cnt in ALL OECD noOECD USA GBR FRA  {

global sample= "`cnt'"

if "`cnt'"=="ALL" {
preserve
}

if "`cnt'"=="OECD" {
preserve
keep if oecd==1
}

if "`cnt'"=="noOECD" {
preserve
keep if oecd==0
}

if "`cnt'"!="ALL" & "`cnt'"!="OECD" & "`cnt'"!="noOECD" {
preserve
keep if cnt=="`cnt'"
}



matrix define results_e= [ 0,0,0,0,0,0,0]
matrix colnames results_e =  gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR
matrix define results_SE= [ 0,0,0,0,0,0,0]
matrix colnames results_SE =  se_gender_gap_X  se_gender_gap_X_condmath se_gender_gap_X_condMR se_gender_gap_MR_condX  se_dIntentions_dX  se_gender_gap_Intentions_condX   se_gender_gap_Intentions_condXMR
matrix define results_p= [ 0,0,0,0,0,0,0]
matrix colnames results_p =  p_gender_gap_X  p_gender_gap_X_condmath p_gender_gap_X_condMR p_gender_gap_MR_condX  p_dIntentions_dX  p_gender_gap_Intentions_condX   p_gender_gap_Intentions_condXMR


foreach var in scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c {

regress `var' girl [aw=w_fstuwt]
local gender_gap_X=_b[girl]
local se_gender_gap_X =_se[girl]
local p_gender_gap_X = (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg `var' girl pv@math_std_c )  results(add(df_r N r2))
local gender_gap_X_condmath=_b[girl]
local se_gender_gap_X_condmath=_se[girl]
local p_gender_gap_X_condmath = (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg `var' girl pv@MR_std_c )   results(add(df_r N r2))
local gender_gap_X_condMR=_b[girl]
local se_gender_gap_X_condMR=_se[girl]
local p_gender_gap_X_condMR = (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg  pv@MR_std_c girl `var'   )   results(add(df_r N r2))
local gender_gap_MR_condX=_b[girl]
local se_gender_gap_MR_condX=_se[girl]
local p_gender_gap_MR_condX = (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))


regress matintfc_std_c `var'  [aw=w_fstuwt]
local dIntentions_dX=_b[`var']
local se_dIntentions_dX=_se[`var']
local p_dIntentions_dX = (2 * ttail(e(df_r), abs(_b[`var']/_se[`var'])))

regress matintfc_std_c  girl `var'  [aw=w_fstuwt]
local gender_gap_Intentions_condX=_b[girl]
local se_gender_gap_Intentions_condX=_se[girl]
local p_gender_gap_Intentions_condX = (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg matintfc_std_c  girl `var' pv@MR_std_c )   results(add(df_r N r2))
local gender_gap_Intentions_condXMR=_b[girl]
local s_gender_gap_Intentions_condXMR=_se[girl]
local p_gender_gap_Intentions_condXMR = (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))


matrix define res= [ `gender_gap_X', `gender_gap_X_condmath', `gender_gap_X_condMR', `gender_gap_MR_condX' ,`dIntentions_dX' , `gender_gap_Intentions_condX' ,  `gender_gap_Intentions_condXMR' ]
matrix results_e =[results_e \ res]

matrix define res= [ `se_gender_gap_X', `se_gender_gap_X_condmath', `se_gender_gap_X_condMR', `se_gender_gap_MR_condX' ,`se_dIntentions_dX' , `se_gender_gap_Intentions_condX' ,  `s_gender_gap_Intentions_condXMR' ]
matrix results_SE =[results_SE \ res]

matrix define res= [ `p_gender_gap_X', `p_gender_gap_X_condmath', `p_gender_gap_X_condMR', `p_gender_gap_MR_condX' ,`p_dIntentions_dX' , `p_gender_gap_Intentions_condX' ,  `p_gender_gap_Intentions_condXMR' ]
matrix results_p =[results_p \ res]

}



matrix rownames results_e = drop scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c
matrix rownames results_SE = drop scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c
matrix rownames results_p = drop scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c

clear  
svmat2 results_e, names(col) rnames(Var) 
drop if Var=="drop"
foreach var in gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR   {
tostring(`var') , generate(`var'2) format(%9.3f) force
drop `var'
rename `var'2  `var'
}
replace Var= "Math self concept" if Var=="scmat_std_c"
replace Var= "Declared interest for math"  if Var=="intmat_std_c"
replace Var=  "Instrumental motivation for math"  if Var=="instmot_std_c"
replace Var= "Math anxiety"  if Var=="anxmat_std_c"
replace Var= "Math involvement"  if Var=="matbeh_std_c"
replace Var= "Math environment"  if Var=="subnorm_std_c"

order Var
*order country_code country gender_gap_math gender_gap_reading  gender_gap_MR gender_gap_intentions ShareGapint_maths ShareGapint_read ShareGapint_MR
export excel Tables\TableS7_${sample}_est.xls,  firstrow(variables) replace 


*******  table with p values
gen var_order=_n 
sort Var
save other_data\temp.dta,replace
clear  
svmat2 results_p, names(col) rnames(Var) 
drop if Var=="drop"
replace Var= "Math self concept" if Var=="scmat_std_c"
replace Var= "Declared interest for math"  if Var=="intmat_std_c"
replace Var=  "Instrumental motivation for math"  if Var=="instmot_std_c"
replace Var= "Math anxiety"  if Var=="anxmat_std_c"
replace Var= "Math involvement"  if Var=="matbeh_std_c"
replace Var= "Math environment"  if Var=="subnorm_std_c"

order Var
sort Var
merge Var using other_data\temp.dta
drop _merge

foreach var in gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR   {
replace `var'= `var' +"***" if p_`var'<=0.01
replace `var'= `var' +"*" if p_`var'<=0.1 & p_`var'>0.05
replace `var'= `var' +"**" if p_`var'<=0.05 & p_`var'>0.01
drop p_`var'
}
sort var_order
drop var_order
export excel Tables\TableS7_${sample}_est_stars.xls,  firstrow(variables) replace 

gen var_order=_n
gen order=1 
save other_data\temp2.dta,replace

clear  
svmat2 results_SE, names(col) rnames(Var) 
drop if Var=="drop"
replace Var= "Math self concept" if Var=="scmat_std_c"
replace Var= "Declared interest for math"  if Var=="intmat_std_c"
replace Var=  "Instrumental motivation for math"  if Var=="instmot_std_c"
replace Var= "Math anxiety"  if Var=="anxmat_std_c"
replace Var= "Math involvement"  if Var=="matbeh_std_c"
replace Var= "Math environment"  if Var=="subnorm_std_c"
order Var

foreach var in gender_gap_X  gender_gap_X_condmath gender_gap_X_condMR gender_gap_MR_condX  dIntentions_dX  gender_gap_Intentions_condX   gender_gap_Intentions_condXMR   {
tostring(se_`var') , generate(`var') format(%9.3f) force
drop se_`var'
replace `var'= "("+  `var' +")" 
}

gen var_order=_n
gen order=2 

append using other_data\temp2.dta
sort var_order order
drop var_order order
*save other_data\TableS7_${sample}_est.dta,replace
export excel Tables\TableS7_${sample}_est_stars_se.xls,  firstrow(variables) replace 

restore


}

 
