***********************************

*        Table S2/Panel C         *

***********************************


clear

cap log c
log using log/Tables_S2bis_math_futurestudy_std_c.log, replace

use data/PISA12_OK.dta,clear
keep if girl!=. & math_futurestudy_std_c!=. & pv1math!=. & pv1read!=.

********************************************************************************
* 								all world                                      *
********************************************************************************

*  repest with correct PVs for MR, quantitative variables are not standardized 


repest PISA, estimate(stata: reg pv@math_std girl) results(add(df_r N r2)) 
local mean_m=_b[girl]
local p_mean_m= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg pv@read_std girl) results(add(df_r N r2)) 
local mean_r=_b[girl]
local p_mean_r= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg pv@MR_std girl) results(add(df_r N r2)) 
local mean_MR=_b[girl]
local p_mean_MR= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg math_futurestudy_std girl) results(add(df_r N r2)) 
local gap_intentions=_b[girl]
local se_gap_intentions = _se[girl]
local p_gap_intentions= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg math_futurestudy_std pv@math_std) results(add(df_r N r2)) 
local dint_dmath=_b[pv_math_std]
local se_dint_dmath=_se[pv_math_std]
local p_dint_dmath= (2 * ttail(_b[e_df_r], abs(_b[pv_math_std]/_se[pv_math_std])))

repest PISA, estimate(stata: reg math_futurestudy_std pv@read_std) results(add(df_r N r2)) 
local dint_dread=_b[pv_read_std]
local se_dint_dread = _se[pv_read_std]
local p_dint_dread= (2 * ttail(_b[e_df_r], abs(_b[pv_read_std]/_se[pv_read_std])))

repest PISA, estimate(stata: reg math_futurestudy_std pv@MR_std) results(add(df_r N r2)) 
local dint_dMR=_b[pv_MR_std]
local se_dint_dMR = _se[pv_MR_std]
local p_dint_dMR= (2 * ttail(_b[e_df_r], abs(_b[pv_MR_std]/_se[pv_MR_std])))

***
repest PISA, estimate(stata: reg math_futurestudy_std girl pv@math_std) results(add(df_r N r2)) 
local int_gap_math=_b[girl]
local se_int_gap_math = _se[girl]

repest PISA, estimate(stata: reg math_futurestudy_std girl pv@read_std) results(add(df_r N r2)) 
local int_gap_read=_b[girl]
local se_int_gap_read = _se[girl]


repest PISA, estimate(stata: reg math_futurestudy_std girl pv@MR_std) results(add(df_r N r2)) 
local int_gap_MR=_b[girl]
local se_int_gap_MR = _se[girl]

local lb_gap_intentions=`gap_intentions' - 1.96 * `se_gap_intentions'
local ub_gap_intentions=`gap_intentions' + 1.96 * `se_gap_intentions'
local lb_int_gap_math=`int_gap_math' - 1.96 * `se_int_gap_math'
local ub_int_gap_math=`int_gap_math' + 1.96 * `se_int_gap_math'
local lb_int_gap_read=`int_gap_read' - 1.96 * `se_int_gap_read'
local ub_int_gap_read=`int_gap_read' + 1.96 * `se_int_gap_read'
local lb_int_gap_MR=`int_gap_MR' - 1.96 * `se_int_gap_MR'
local ub_int_gap_MR=`int_gap_MR' + 1.96 * `se_int_gap_MR'



matrix define res_S1= [ `mean_m', `mean_r', `mean_MR' ,`gap_intentions' ,  (1 - `int_gap_math'  /`gap_intentions' )  ,  (1 - `int_gap_read'  /`gap_intentions' ) , (1 - `int_gap_MR'  /`gap_intentions' ),  `p_mean_m', `p_mean_r', `p_mean_MR' ,`p_gap_intentions']
matrix define res_S2 = [`dint_dmath' ,  `dint_dread',  `dint_dMR'  , `se_dint_dmath' ,  `se_dint_dread',  `se_dint_dMR' ,  `p_dint_dmath', `p_dint_dread',  `p_dint_dMR' ]
matrix define res_F1= [ `gap_intentions' ,  `int_gap_math'  ,  `int_gap_read'   , `int_gap_MR', `se_gap_intentions' ,  `se_int_gap_math'  ,  `se_int_gap_read'   , `se_int_gap_MR'  , `lb_gap_intentions' ,  `lb_int_gap_math'  ,  `lb_int_gap_read'   , `lb_int_gap_MR' ,  `ub_gap_intentions' ,  `ub_int_gap_math'  ,  `ub_int_gap_read'   , `ub_int_gap_MR']

matrix results_S1= res_S1
matrix results_S2= res_S2
matrix results_F1= res_F1

matrix drop res_S1	res_S2 res_F1

matrix colnames results_S1 =  gender_gap_math gender_gap_reading  gender_gap_MR gender_gap_intentions  ShareGapint_maths ShareGapint_read ShareGapint_MR pval_gap_math   pval_gap_reading   pval_gap_MR  pval_gap_intentions
matrix colnames results_S2 = Dintention_Dmaths Dintention_Dread Dintention_DMR se_Dintention_Dmaths se_Dintention_Dread se_Dintention_DMR p_Dintention_Dmaths p_Dintention_Dread p_Dintention_DMR
matrix colnames results_F1 = gap_intentions  int_gap_math  int_gap_read int_gap_MR  se_gap_intentions  se_int_gap_math  se_int_gap_read  se_int_gap_MR  lb_gap_intentions  lb_int_gap_math   lb_int_gap_read  lb_int_gap_MR  ub_gap_intentions  ub_int_gap_math   ub_int_gap_read  ub_int_gap_MR  


********************************************************************************
* 								Analysis by country                            *
********************************************************************************

* repest with correct PVs for MR
* all quantitative variables are standardized to have weighted mean 0 and weighted s.d. 1 in each country 

foreach cnt in ALL OECD noOECD ///
				USA GBR FRA  {
				
*foreach cnt in ALL  FRA USA {

if "`cnt'"=="OECD" {
preserve
keep if oecd==1
}

if "`cnt'"=="noOECD" {
preserve
keep if oecd==0
}

if "`cnt'"!="ALL" & "`cnt'"!="OECD" & "`cnt'"!="noOECD" {
preserve
keep if cnt=="`cnt'"
}


repest PISA, estimate(stata: reg pv@math_std_c girl) results(add(df_r N r2)) 
local mean_m=_b[girl]
local p_mean_m= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg pv@read_std_c girl) results(add(df_r N r2)) 
local mean_r=_b[girl]
local p_mean_r= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg pv@MR_std_c girl) results(add(df_r N r2)) 
local mean_MR=_b[girl]
local p_mean_MR= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))

repest PISA, estimate(stata: reg math_futurestudy_std_c girl) results(add(df_r N r2)) 
local gap_intentions=_b[girl]
local se_gap_intentions = _se[girl]
local p_gap_intentions= (2 * ttail(_b[e_df_r], abs(_b[girl]/_se[girl])))  

repest PISA, estimate(stata: reg math_futurestudy_std_c pv@math_std_c)   results(add(df_r N r2)) 
local dint_dmath=_b[pv_math_std_c]
local se_dint_dmath=_se[pv_math_std_c]
local p_dint_dmath= (2 * ttail(_b[e_df_r], abs(_b[pv_math_std_c]/_se[pv_math_std_c])))

repest PISA, estimate(stata: reg math_futurestudy_std_c pv@read_std_c) results(add(df_r N r2)) 
local dint_dread=_b[pv_read_std_c]
local se_dint_dread = _se[pv_read_std_c]
local p_dint_dread= (2 * ttail(_b[e_df_r], abs(_b[pv_read_std_c]/_se[pv_read_std_c])))

repest PISA, estimate(stata: reg math_futurestudy_std_c pv@MR_std_c) results(add(df_r N r2)) 
local dint_dMR=_b[pv_MR_std_c]
local se_dint_dMR = _se[pv_MR_std_c]
local p_dint_dMR= (2 * ttail(_b[e_df_r], abs(_b[pv_MR_std_c]/_se[pv_MR_std_c])))

***
repest PISA, estimate(stata: reg math_futurestudy_std_c girl pv@math_std_c) results(add(df_r N r2)) 
local int_gap_math=_b[girl]
local se_int_gap_math = _se[girl]

repest PISA, estimate(stata: reg math_futurestudy_std_c girl pv@read_std_c) results(add(df_r N r2)) 
local int_gap_read=_b[girl]
local se_int_gap_read = _se[girl]


repest PISA, estimate(stata: reg math_futurestudy_std_c girl pv@MR_std_c) results(add(df_r N r2)) 
local int_gap_MR=_b[girl]
local se_int_gap_MR = _se[girl]


local lb_gap_intentions=`gap_intentions' - 1.96 * `se_gap_intentions'
local ub_gap_intentions=`gap_intentions' + 1.96 * `se_gap_intentions'
local lb_int_gap_math=`int_gap_math' - 1.96 * `se_int_gap_math'
local ub_int_gap_math=`int_gap_math' + 1.96 * `se_int_gap_math'
local lb_int_gap_read=`int_gap_read' - 1.96 * `se_int_gap_read'
local ub_int_gap_read=`int_gap_read' + 1.96 * `se_int_gap_read'
local lb_int_gap_MR=`int_gap_MR' - 1.96 * `se_int_gap_MR'
local ub_int_gap_MR=`int_gap_MR' + 1.96 * `se_int_gap_MR'


matrix define res_S1= [ `mean_m', `mean_r', `mean_MR' ,`gap_intentions' ,  (1 - `int_gap_math'  /`gap_intentions' )  ,  (1 - `int_gap_read'  /`gap_intentions' ) , (1 - `int_gap_MR'  /`gap_intentions' ),  `p_mean_m', `p_mean_r', `p_mean_MR' ,`p_gap_intentions']
matrix define res_S2 = [`dint_dmath' ,  `dint_dread',  `dint_dMR'  , `se_dint_dmath' ,  `se_dint_dread',  `se_dint_dMR' ,  `p_dint_dread',  `p_dint_dMR', `se_dint_dmath' ]
matrix define res_F1= [ `gap_intentions' ,  `int_gap_math'  ,  `int_gap_read'   , `int_gap_MR', `se_gap_intentions' ,  `se_int_gap_math'  ,  `se_int_gap_read'   , `se_int_gap_MR'  , `lb_gap_intentions' ,  `lb_int_gap_math'  ,  `lb_int_gap_read'   , `lb_int_gap_MR' ,  `ub_gap_intentions' ,  `ub_int_gap_math'  ,  `ub_int_gap_read'   , `ub_int_gap_MR']

matrix results_S1= [ results_S1 \ res_S1 ]
matrix results_S2= [ results_S2 \ res_S2 ]
matrix results_F1= [ results_F1 \ res_F1 ]

matrix drop res_S1	res_S2 res_F1

if "`cnt'"!="ALL" {
restore
}

}

matrix rownames results_S1 = ALL_nostd ALL OECD noOECD USA GBR FRA
matrix rownames results_S2 = ALL_nostd ALL OECD noOECD USA GBR FRA
matrix rownames results_F1 = ALL_nostd ALL OECD noOECD USA GBR FRA


*********************************************************************************
* 									 Table S2 	                                *
*********************************************************************************

clear  
svmat2 results_S1, names(col) rnames(country) 

rename country country_code
sort country_code
merge country_code using data/other_data/country_code.dta
drop if _merge==2
drop _merge
sort country_code
merge country_code using data/other_data/country_type.dta
drop _merge
gsort country_type -gender_gap_intentions
drop country_code country_type


foreach var in gender_gap_math gender_gap_reading  gender_gap_MR gender_gap_intentions  ShareGapint_maths ShareGapint_read ShareGapint_MR   {
tostring(`var') , generate(`var'2) format(%9.3f) force
drop `var'
rename `var'2  `var'
}

foreach var in gap_math gap_reading  gap_MR gap_intentions {
replace gender_`var'= gender_`var' +"***" if pval_`var'<=0.01
replace gender_`var'= gender_`var' +"*" if pval_`var'<=0.1 & pval_`var'>0.05
replace gender_`var'= gender_`var' +"**" if pval_`var'<=0.05 & pval_`var'>0.01
}

order  country gender_gap_math gender_gap_reading  gender_gap_MR gender_gap_intentions ShareGapint_maths ShareGapint_read ShareGapint_MR
*drop pval_gap_math   pval_gap_reading   pval_gap_MR  pval_gap_intentions
export excel Tables/TableS2math_futurestudy_std_c.xls,  firstrow(variables) replace 



cap log c


