***********************************

*           Table S5              *

***********************************



clear
use data/PISA12_OK.dta,clear


forval i=1/5 {

xtile xtile_pv`i'MR_std_c= pv`i'MR_std_c [weight=w_fstuwt], nquantiles(20) 
xtile xtile_pv`i'math_std_c= pv`i'math_std_c [weight=w_fstuwt], nquantiles(20) 
xtile xtile_pv`i'read_std_c= pv`i'read_std_c [weight=w_fstuwt], nquantiles(20) 

gen pv`i'top10_math= (xtile_pv`i'math_std_c>=19) if xtile_pv`i'math_std_c!=. 
gen pv`i'top25_math= (xtile_pv`i'math_std_c>=16) if xtile_pv`i'math_std_c!=. 
gen pv`i'top50_math= (xtile_pv`i'math_std_c>=11) if xtile_pv`i'math_std_c!=. 

gen pv`i'bot10_math= (xtile_pv`i'math_std_c<=2) if xtile_pv`i'math_std_c!=. 
gen pv`i'bot25_math= (xtile_pv`i'math_std_c<=5) if xtile_pv`i'math_std_c!=. 
gen pv`i'bot50_math= (xtile_pv`i'math_std_c<=10) if xtile_pv`i'math_std_c!=. 

gen pv`i'top10_mathread= (xtile_pv`i'math_std_c>=19)*(xtile_pv`i'read_std_c>=19) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.
gen pv`i'top25_mathread= (xtile_pv`i'math_std_c>=16)*(xtile_pv`i'read_std_c>=16) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.
gen pv`i'top50_mathread= (xtile_pv`i'math_std_c>=11)*(xtile_pv`i'read_std_c>=11) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.

gen pv`i'bot10_mathread= (xtile_pv`i'math_std_c<=2)*(xtile_pv`i'read_std_c<=2) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.
gen pv`i'bot25_mathread= (xtile_pv`i'math_std_c<=5)*(xtile_pv`i'read_std_c<=5) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.
gen pv`i'bot50_mathread= (xtile_pv`i'math_std_c<=10)*(xtile_pv`i'read_std_c<=10) if xtile_pv`i'math_std_c!=. & xtile_pv`i'read_std_c!=.


gen pv`i'MRsup0_std_c=  pv`i'MR_std_c > 0
gen pv`i'MRinf0_std_c=  pv`i'MR_std_c < 0
gen pv`i'top10_MR=(xtile_pv`i'MR_std_c>=19) if xtile_pv`i'MR_std_c!=.
gen pv`i'top25_MR=(xtile_pv`i'MR_std_c>=16) if xtile_pv`i'MR_std_c!=.
gen pv`i'bot10_MR=(xtile_pv`i'MR_std_c<=2) if xtile_pv`i'MR_std_c!=.
gen pv`i'bot25_MR=(xtile_pv`i'MR_std_c<=5) if xtile_pv`i'MR_std_c!=.
}

matrix res= [0 , 0 , 0 , 0 , 0 , 0]
foreach var in  pv@top10_MR   pv@top25_MR  pv@MRsup0_std_c  pv@top10_math pv@top25_math pv@top50_math pv@top25_mathread pv@top50_mathread  pv@bot10_MR   pv@bot25_MR  pv@MRinf0_std_c pv@bot10_math pv@bot25_math pv@bot50_math pv@bot10_mathread pv@bot25_mathread pv@bot50_mathread {
repest PISA, estimate(stata: reg girl if `var' ==1 )
matrix b=e(b)
local m1=b[1,1]
repest PISA, estimate(stata: reg girl if `var' ==1 &  oecd==1)
matrix b=e(b)
local m2=b[1,1]
repest PISA, estimate(stata: reg girl if `var' ==1 &  oecd==0)
matrix b=e(b)
local m3=b[1,1]

repest PISA, estimate(stata: reg  matintfc_std_c girl if `var' ==1 )
matrix b=e(b)
local g1=b[1,1]
repest PISA, estimate(stata: reg matintfc_std_c girl if `var' ==1 &  oecd==1)
matrix b=e(b)
local g2=b[1,1]
repest PISA, estimate(stata: reg matintfc_std_c girl if `var' ==1 &  oecd==0)
matrix b=e(b)
local g3=b[1,1]

matrix res= [res\ `m1',  `m2', `m3' , `g1' , `g2' , `g3' ]
}


matrix rownames res = drop pv@top10_MR   pv@top25_MR  pv@MRsup0_std_c  pv@top10_math pv@top25_math pv@top50_math pv@top25_mathread pv@top50_mathread  pv@bot10_MR   pv@bot25_MR  pv@MRinf0_std_c pv@bot10_math pv@bot25_math pv@bot50_math pv@bot10_mathread pv@bot25_mathread pv@bot50_mathread
matrix colnames res =  m1 m2 m3 g1 g2 g3


clear  
svmat2 res, rnames(Var) names(col) 

drop if Var=="drop"

foreach var in   m1 m2 m3 g1 g2 g3  {
tostring(`var') , generate(`var'2) format(%9.3f) force
drop `var'
rename `var'2  `var'
}



order Var

export excel Tables/TableS5.xls,  firstrow(variables) replace 

 


