***********************************

*           Table S6.             *

***********************************

* NB : data for this do file is not available 


cap log c
log using log/intentions_choix_France.log,replace


********************************************* 

*    Intentions en Grade 10 (seconde GT)    *

*********************************************

use "${work}/intentions_choix_France",clear
keep if term==0

gen souhait_sciences=orient_premS
replace souhait_sciences=1 if tech_STI2D==1

sum rk_maths_dnb,d
sum rk_fra_dnb,d

* brevet
gen MR=rk_maths_dnb-rk_fra_dnb
sum MR,d
* contrôle continu
gen MR3 =rk_cc_math -rk_cc_fran 

*** Correlations (cited in text and SM, no Table)
cor premS_elc_16 orient_premS
cor premTypeSc_elc_16 souhait_sciences


* drop repeaters for whom actual enrolment cannot be linked to a science/no science choice:
* (keeping them do not change the picture much)
drop if secondeGT_elc_16== 1

cor premS_elc_16 orient_premS if secondeGT_elc_16!= 1 /* hors redoublants */
cor premTypeSc_elc_16 souhait_sciences if secondeGT_elc_16!= 1 /* hors redoublants */


*** standardize abilities 
egen math=std(rk_maths_dnb)
egen read=std(rk_fra_dnb)
egen MRext=std(MR)
egen MRint=std(MR3)

** Intentions to go in a General scientific Grade 11 (orientation souhaitée = Premiere S)
regress orient_premS  girl
regress orient_premS  girl rk_maths_dnb
regress orient_premS  girl MR 
regress orient_premS  girl MR3

** Enrolled in a General scientific Grade 11 next year (observé en première S l'année suivant les intentions déclarées)
regress premS_elc_16  girl
regress premS_elc_16  girl rk_maths_dnb
regress premS_elc_16  girl MR 
regress premS_elc_16  girl MR3


** Intentions to go in either General or technologic STEM major Grade 11 (orientation souhaitée= Première S ou STI2D)
regress souhait_sciences  girl
regress souhait_sciences  girl rk_maths_dnb
regress souhait_sciences  girl MR 
regress souhait_sciences  girl MR3

** Enrolled in either General or technologic STEM major Grade 11 next year (observé en première S ou STI2D l'année suivant les intentions déclarées) 
regress premTypeSc_elc_16  girl
regress premTypeSc_elc_16  girl rk_maths_dnb
regress premTypeSc_elc_16  girl MR 
regress premTypeSc_elc_16  girl MR3 

*** Consider to study science latter on-general question (envisage de faire des sciences-question générale)
regress orient_sci  girl
regress orient_sci  girl rk_maths_dnb
regress orient_sci  girl MR 
regress orient_sci  girl MR3

*** Consider to do math, physics or computer sciences after high-school (envisage Mathématiques, Physique, Informatique, Sciences de l'ingénieur après le lycée)
regress dom_sc_tech  girl
regress dom_sc_tech  girl rk_maths_dnb
regress dom_sc_tech  girl MR 
regress dom_sc_tech  girl MR3 


matrix res=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]

foreach var in orient_premS premS_elc_16 souhait_sciences premTypeSc_elc_16  orient_sci  dom_sc_tech  {
regress `var' girl
local gap_int=_b[girl]
local se_gap_int=_se[girl]
local p_gap_int= (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

regress `var'  girl math
local gap_int_M=_b[girl]
local se_gap_int_M=_se[girl]
local p_gap_int_M= (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

regress `var'  girl read
local gap_int_R=_b[girl]
local se_gap_int_R=_se[girl]
local p_gap_int_R= (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

regress `var'  girl MRext
local gap_int_MRext=_b[girl]
local se_gap_int_MRext=_se[girl]
local p_gap_int_MRext= (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

regress `var'  girl MRint
local gap_int_MRint=_b[girl]
local se_gap_int_MRint=_se[girl]
local p_gap_int_MRint= (2 * ttail(e(df_r), abs(_b[girl]/_se[girl])))

matrix est=[1, `gap_int', `gap_int_M' ,   `gap_int_R',  `gap_int_MRext' ,  `gap_int_MRint' ,     1- `gap_int_M'/ `gap_int' ,  1- `gap_int_R'/ `gap_int'  , 1- `gap_int_MRext'/ `gap_int', 1- `gap_int_MRint'/ `gap_int' , `p_gap_int', `p_gap_int_M' ,   `p_gap_int_R',  `p_gap_int_MRext' ,  `p_gap_int_MRint']
matrix se=[0, `se_gap_int', `se_gap_int_M' ,   `se_gap_int_R',  `se_gap_int_MRext' ,  `se_gap_int_MRint' , 0,0,0,0 , 0,0,0,0,0]
matrix res=[res \ est \ se]

}
 

 matrix rownames res = drop orient_premS orient_premS premS_elc_16 premS_elc_16  souhait_sciences souhait_sciences premTypeSc_elc_16  premTypeSc_elc_16 orient_sci  orient_sci dom_sc_tech dom_sc_tech
 matrix colnames res = est_vs_se gap_int  gap_int_M  gap_int_R  gap_int_MRext    gap_int_MRint    share_gap_int_M  share_gap_int_R  share_gap_int_MRext    share_gap_int_MRint  p_gap_int   p_gap_int_M  p_gap_int_R  p_gap_int_MRext  p_gap_int_MRint 


*********************************************************************************
* 									 Table S6 	                                *
*********************************************************************************

clear  
svmat2 res, names(col)  rnames(variable) 

drop if variable=="drop"

foreach var in gap_int  gap_int_M  gap_int_R  gap_int_MRext    gap_int_MRint    share_gap_int_M  share_gap_int_R  share_gap_int_MRext    share_gap_int_MRint   {
tostring(`var') , generate(`var'2) format(%9.3f) force
drop `var'
rename `var'2  `var'
}

foreach var in gap_int  gap_int_M  gap_int_R  gap_int_MRext    gap_int_MRint      {

replace `var'= `var' +"***" if p_`var'<=0.01  & est_vs_se==1
replace `var'= `var' +"*" if p_`var'<=0.1 & p_`var'>0.05 & est_vs_se==1
replace `var'= `var' +"**" if p_`var'<=0.05 & p_`var'>0.01 & est_vs_se==1

replace `var'= "("+`var'+")" if est_vs_se==0
drop p_`var'
}

drop est_vs_se
order variable gap_int  gap_int_M  gap_int_R  gap_int_MRext    gap_int_MRint    share_gap_int_M  share_gap_int_R  share_gap_int_MRext    share_gap_int_MRint
keep variable gap_int  gap_int_M  gap_int_R  gap_int_MRext    gap_int_MRint    share_gap_int_M  share_gap_int_R  share_gap_int_MRext    share_gap_int_MRint
export excel Tables/TableS7.xls,  firstrow(variables) replace 

 
********************************************* 

*    Intentions en Grade 12 (Terminale S)   *

*********************************************


* back up only 

use "${work}/intentions_choix_France",clear
keep if term==1

sum rk_maths_bac,d
sum rk_fra_bac,d


gen MR=rk_maths_bac-rk_fra_bac
sum MR,d

gen avantagemaths= (MR>0) if MR!=.
gen gros_avantagemaths = (MR>25) if MR!=.
gen gros_avantagefra = (MR<-25) if MR!=.

tab avantagemaths girl, col
tab gros_avantagemaths girl, col
tab gros_avantagefra girl, col

gen MR2=rk_maths_dnb-rk_fra_dnb
sum MR2,d

gen avantagemaths2= (MR2>0) if MR2!=.
gen gros_avantagemaths2 = (MR2>25) if MR2!=.
gen gros_avantagefra2 = (MR2<-25) if MR2!=.

tab avantagemaths2 girl, col
tab gros_avantagemaths2 girl, col
tab gros_avantagefra2 girl, col


gen souhait_sciences=orient_premS
replace souhait_sciences=1 if tech_STI2D==1

gen MR3=rk_cc_math-rk_cc_fran
gen MR4=new_rk_cc_math-new_rk_cc_fran

cor rk_cc_math new_rk_cc_math rk_maths_bac rk_maths_dnb

* sci_sup

cor sci_sup orient_sci
cor sci_sup orient_sci if TermGT_elc_16!= 1


* on enlève les redoublants:

drop if TermGT_elc_16== 1

** a été en  selective STEM dans le supérieur
regress select_stem   girl
regress select_stem   girl rk_maths_dnb
regress select_stem   girl MR 
regress select_stem   girl MR2 
regress select_stem   girl MR2 
regress select_stem   girl MR MR2 


** a été en non  selective STEM dans le supérieur
regress noselect_stem   girl
regress noselect_stem   girl rk_maths_dnb
regress noselect_stem   girl MR 
regress noselect_stem   girl MR2 
regress noselect_stem   girl MR2 
regress noselect_stem   girl MR MR2 


** a été en  male-dominated STEM dans le supérieur
regress tot_male_dom   girl
regress tot_male_dom   girl rk_maths_dnb
regress tot_male_dom   girl MR 
regress noselect_stem   girl MR3
regress noselect_stem   girl MR MR2 

** a été en  non male-dominated STEM dans le supérieur
regress tot_fem_dom   girl
regress tot_fem_dom  girl rk_maths_dnb
regress tot_fem_dom   girl MR 
regress tot_fem_dom   girl MR2 
regress tot_fem_dom   girl MR3
regress tot_fem_dom   girl MR MR2 


** a été en STEM dans le supérieur
regress sci_sup  girl
regress sci_sup  girl rk_maths_dnb
regress sci_sup  girl MR 
regress sci_sup   girl MR2 
regress sci_sup   girl MR3
regress sci_sup   girl MR MR2 

*** envisage de faire des sciences (question générale)
regress orient_sci  girl
regress orient_sci  girl rk_maths_dnb
regress orient_sci  girl MR 
regress orient_sci   girl MR2
regress orient_sci   girl MR3 
regress orient_sci   girl MR MR2 

*** envisage Mathématiques, Physique, Informatique, Sciences de l'ingénieur après la terminale
regress dom_sc_tech  girl
regress dom_sc_tech  girl rk_maths_dnb
regress dom_sc_tech  girl MR 
regress dom_sc_tech   girl MR2 
regress dom_sc_tech   girl MR3
regress dom_sc_tech   girl MR MR2 

cap log c
