
clear
use data\PISA12_OK.dta,clear

cap log c
log using log\Tables_S7.log, replace

*** instrumenting MR by school characteristics
sort cnt subnatio stratum schoolid
merge cnt subnatio stratum schoolid using data\school_ok.dta

xi i.cnt

*************************************************************************
*************************************************************************
*************************************************************************
*************************************************************************
*************************************************************************
*************************************************************************

global instru="MR_shortage  share_math  qual_math_vs_qual"
global indiv= "wealth cultpos iscedd escs st08q01 st09q01"
global school ="clsize  pcgirls compweb respcur respres ratcmp15 tcshort "

** MAIN SPECIF: 
ivregress 2sls matintfc_std_c  _Icnt*  (pv1MR_std_c = $instru  )    , vce(robust)  first
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) replace  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt* if e(sample) ,  vce(robust) 
outreg2 MR_shortage  share_math   qual_math_vs_qual  using tables\TableS7_IV_first.xls, cttop(first) replace  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 

regress matintfc_std_c  _Icnt*  pv1MR_std_c if e(sample)
*** With individual controls:
ivregress 2sls matintfc_std_c  _Icnt*  $indiv   (pv1MR_std_c = $instru  )    , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt* $indiv   if e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


*** With individual controls+ school quality controls:
ivregress 2sls matintfc_std_c  _Icnt*  $indiv  $school   (pv1MR_std_c = $instru  )    , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt* $indiv $school  if e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


** MAIN SPECIF: GIRLS
ivregress 2sls matintfc_std_c  _Icnt*    (pv1MR_std_c = $instru  )  if girl==1  , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt*   if girl==1 &  e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


ivregress 2sls matintfc_std_c  _Icnt* $indiv  $school (pv1MR_std_c = $instru  )  if girl==1  , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt*  $indiv $school if girl==1 &  e(sample),  vce(robust) 
outreg2 MR_shortage  share_math   qual_math_vs_qual  using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


** MAIN SPECIF: BOYS
ivregress 2sls matintfc_std_c  _Icnt*    (pv1MR_std_c = $instru  )  if girl==0  , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt*   if girl==0 &  e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 

ivregress 2sls matintfc_std_c  _Icnt*  $indiv  $school (pv1MR_std_c = $instru  )  if girl==0  , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt*  $indiv $school if girl==0 &  e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


**** subsample fo schools
ivregress 2sls matintfc_std_c  _Icnt*  $indiv  (pv1MR_std_c = $instru  ) if admission_residence==1 , vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage share_math   qual_math_vs_qual  _Icnt*    if admission_residence==1 &  e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 


ivregress 2sls matintfc_std_c  _Icnt*   $indiv $school (pv1MR_std_c = $instru  ) if admission_residence==1 &  e(sample), vce(robust)  
outreg2 pv1MR_std_c using tables\TableS7_IV.xls, cttop(second) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
weakivtest
estat overid , forcenonrobust

regress pv1MR_std_c  MR_shortage  share_math   qual_math_vs_qual  _Icnt*  $indiv $school if admission_residence==1 &  e(sample),  vce(robust) 
outreg2  MR_shortage  share_math   qual_math_vs_qual using tables\TableS7_IV_first.xls, cttop(first) append  excel $ast $adt $stat $nolabel ctitle(`var')  sdec($nbdec)  bdec($nbdec) 
 
 
*** check with repest 
repest PISA, estimate(stata: ivregress 2sls matintfc_std  _Icnt*  (pv1MR_std_c = MR_shortage_std share_math_std   qual_math_vs_qual_std  ) )

cap log c



