***********************************

*           Table S8              *

***********************************


clear

cap log c
log using log/Tables_S8_cross_country.log, replace

import excel using data/other_data/tableaucrosscountry2.xlsx, firstrow clear
rename code cnt
sort cnt
save data/other_data/tableaucrosscountry2 , replace


use data/PISA12_OK.dta,clear
sort cnt
merge cnt using data/other_data/tableaucrosscountry2

regress matintfc_std_c pv1MR_std_c
predict unexp_MR_std_c,residual

** getting a country-level dataset:
gen Nobs=1
collapse  (sum)  Nobs  (mean) matintfc matintfc_std matintfc_std_c scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c pv*MR_std_c  unexp_MR_std_c [aw=w_fstuwt],  by(cnt girl)

sort cnt girl 
foreach var in matintfc_std_c scmat_std_c intmat_std_c instmot_std_c anxmat_std_c matbeh_std_c subnorm_std_c  unexp_MR_std_c pv1MR_std_c pv2MR_std_c pv3MR_std_c pv4MR_std_c pv5MR_std_c {
gen gg_`var'=`var'[_n]-`var'[_n-1] if girl==1
}

gen gg_MR= (gg_pv1MR_std_c +gg_pv2MR_std_c +gg_pv3MR_std_c +gg_pv4MR_std_c +gg_pv5MR_std_c)/5 if girl==1

sort cnt
merge cnt using data/other_data/tableaucrosscountry2


* Table S8, part 1: (correlation cross-country intentions segregation) 



pwcorr gg_matintfc_std_c   female_rep_hum_Bradley  female_rep_mathbio_Bradley  s_women_stem_tertiary_SG  TIMSS_gg_job_math maths_stats_phys_RATIO perc_women_stemmath_unesco , obs  /* segreg_index_Bradley  */

*** Table S8, part 2: (correlation cross-country gender ) 
gen iat_mean2= iat_mean if iat_n>50 & cnt!="ROU"  /* Roumania excluded bacause it is said to be an outlier */

pwcorr gg_MR  GGI  index_subj_norms_eff_s   iat_mean2  ,obs

*cor unexp_MR_std_c  GGI GGI_2015 gdiff_subj_norms_PISA_2012 iat_mean

gen iat_mean3= iat_mean if iat_n>50 
pwcorr gg_MR  GGI  index_subj_norms_eff_s   iat_mean3  ,obs


cap log c
