***********************************

*           Bootstrap             *

***********************************


clear

cap log c
log using log\bootstrap_share_oecd_nonoecd.log, replace


capture program drop myboot
program myboot, rclass

reg matintfc_std_c girl 
matrix est=  e(b)
scalar define b1 = _b[girl]
reg matintfc_std girl
repest PISA, estimate(stata: reg matintfc_std_c girl pv@MR_std) 
scalar define b2 = _b[girl]
return scalar ratio = 1- b2/b1
end


use data\PISA12_OK.dta,clear
keep if girl!=. & matintfc_std!=. & pv1math!=. & pv1read!=.

* OECD

preserve
keep if oecd==1
bootstrap ratio =r(ratio) , reps(120): myboot
estat bootstrap, all
restore

* non OECD

preserve
keep if oecd==0
bootstrap ratio =r(ratio) , reps(120): myboot
estat bootstrap, all
restore

* USA

preserve
keep if cnt=="USA"
bootstrap ratio =r(ratio) , reps(120): myboot
estat bootstrap, all
restore

* FRA

preserve
keep if cnt=="FRA"
bootstrap ratio =r(ratio) , reps(120): myboot
estat bootstrap, all
restore


cap log c

