***************************

* Notes on the dofiles :  

***************************
 
* 1. To run this do file you need the following commands : repest, svmat2, weakivtest (which requires avar), outreg2 
* 2. The dofile "Table_M2_S7" gives Table S7 (a,b,c,d), which are an extended versions of Table M2. Table M2 is thus equal to Table S7a. 
* 3. Table S3 and S1 are executed by the program "Table_M1_S1_S3_Figure_S1_MR_intentions_by_country" 

clear

***************************

* I . Set ups 

***************************


** Specify in work the location of the folder "data_and_programs"

global work "path/data_and_programs"


**  Where to look for the data:
cd "$work"

** Prepare data
do "$work/programs/prepare data/prepare_PISA_data.do" 

***************************

* II . Tables and Figures

***************************
 

** II. 1. Main text

do "$work/programs/Tables and figures/Figure1.do"

do "$work/programs/Tables and figures/Figure2.do"

do "$work/programs/Tables and figures/Table_M1_S1_Figure_S1_MR_intentions_by_country.do"

* Reminder : Table M2 = Table S7a 

do "$work/programs/Tables and figures/Table_M2_S7.do"


** II.2. Supplementary Information


* i) Figures (except S1 which is generated with Main Table 1)

do "$work/programs/Tables and figures/Figure_S2.do"

do "$work/programs/Tables and figures/Figure_S3.do"


* ii) Tables (except S1 which is generated with Main Table 1 and S6 that is based on auxiliary data for France)


do "$work/programs/Tables and figures/Table_S2_panelA.do"

do "$work/programs/Tables and figures/Table_S2_panelB.do"

do "$work/programs/Tables and figures/TableS2_panelC.do"

do "$work/programs/Tables and figures/Table_S4_Various_controls_for_ability.do"

do "$work/programs/Tables and figures/Table_S5_Gender_gaps_among_various_subgroups.do"

do "$work/programs/Tables and figures/Table_S8_cross_country.do"

do "$work/programs/Tables and figures/Table_S9_IVs.do"


** Confidence intervals for main estimates computed by bootstrap:
do "$work/programs/Tables and figures/bootstrap.do"



